﻿/* Switch in tables */
.onoffswitch {
    float: none;
    margin: 0 auto;
}
/* Angular Validation */
/*input.ng-invalid {
	background-color: #ed556521;
}
input.ng-valid {
	background-color: none;
}*/
/* Select2 */
.select2 {
    width: 100% !important;
}
/* Disable resize textarea */
textarea {
    resize: none;
    resize: vertical;
    /*resize: horizontal;*/
}
/* Center text in select */
/* Resize avatar for profile at Admin page */
.avatarProfile {
    width: 38px;
    height: 38px;
}
/* Tables */
.table-responsive {
    overflow-x: inherit;
}

table tr a {
    color: #37474F;
}
/* Angular Flash */
.custom-flash {
    font-size: 16px;
    position: fixed;
    bottom: 10px;
    left: 10px;
    z-index: 999999;
}

flash-message {
    position: fixed;
    font-size: 16px;
    bottom: 0;
    left: 70%;
    width: 30%;
    z-index: 9999;
}
/* Angular Autocomplete */
.angucomplete-dropdown {
    width: 100%;
}
/* Angular Annimate */
.ng-show-hide {
    transition: all linear 0.5s;
}

    .ng-show-hide.ng-hide {
        opacity: 0;
    }
/* Loading */
.loadingMargin {
    margin-top: -10px;
}
/* No Content */
.noContent {
    font-size: 14px;
}
/* Set select2 work with modal in Bootstrap (note: remove tabindex="-1" at modal) */
.select2-close-mask {
    z-index: 2099;
}

.select2-dropdown {
    z-index: 3051;
}
/* Org Chart */
/*html, body {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
}*/
/*body {
	font-family: Arial;
	font-size: 14px;
	line-height: 1.428571429;
	color: #333333;
}*/
#chart-container {
    position: relative;
    display: inline-block;
    top: 10px;
    left: 10px;
    height: 420px;
    width: calc(100% - 24px);
    border: 2px dashed #aaa;
    border-radius: 5px;
    overflow: auto;
    text-align: center;
}

.orgchart {
    background: #f3f3f4;
    width: 100%;
}

    .orgchart .node .title {
        background: #37474F;
    }

    .orgchart .node .content {
        border-color: #37474F;
    }

    .orgchart .lines .downLine {
        background-color: #37474F;
    }

    .orgchart .lines .leftLine {
        border-left: 1px solid #37474F !important;
    }

    .orgchart .lines .rightLine {
        border-right: 1px solid #37474F !important;
    }

    .orgchart .lines .topLine {
        border-top: 2px solid #37474F !important;
    }

.oc-export-btn {
    background: #37474F !important;
    border-color: #37474F !important;
}

    .oc-export-btn:hover {
        background-color: #18a689 !important;
        border-color: #18a689 !important;
        color: #FFFFFF !important;
    }

    .oc-export-btn:active {
        background-color: #18a689 !important;
        border-color: #18a689 !important;
        color: #FFFFFF !important;
    }

    .oc-export-btn:visited {
        background-color: #18a689 !important;
        border-color: #18a689 !important;
        color: #FFFFFF !important;
    }

    .oc-export-btn:focus {
        background-color: #18a689 !important;
        border-color: #18a689 !important;
        color: #FFFFFF !important;
    }
/* Label */
.textLeft {
    text-align: left !important;
    font-weight: normal !important;
}
/* Angular Loading Bar */
#loading-bar .bar {
    background: #2c3e50;
}

#loading-bar-spinner .spinner-icon {
    border-top-color: #2c3e50;
    border-left-color: #2c3e50;
}

#loading-bar .peg {
    -moz-box-shadow: #2c3e50 1px 0 6px 1px;
    -ms-box-shadow: #2c3e50 1px 0 6px 1px;
    -webkit-box-shadow: #2c3e50 1px 0 6px 1px;
    box-shadow: #2c3e50 1px 0 6px 1px;
}
/* Bootstrap Checkbox */
input[type="radio"]:checked + label::after {
    background-color: #37474F !important;
}

img {
    max-width: 100%;
    height: auto;
}

.input-group .form-control {
    z-index: inherit;
}
.pagination > .active > a{
    z-index: 0;
}